summaryrefslogtreecommitdiff
path: root/xpp/astribank_hook
diff options
context:
space:
mode:
authorTzafrir Cohen <tzafrir.cohen@xorcom.com>2008-06-17 17:49:05 +0000
committerTzafrir Cohen <tzafrir.cohen@xorcom.com>2008-06-17 17:49:05 +0000
commit53894e5aa1e733a0321a69bd1b12bd794586b4ab (patch)
tree3e0d4543ad58256dd39cae60ba6de5d7a91f46a6 /xpp/astribank_hook
parent91d0a6d645e95755c4ae0f0a13919eeb213f6606 (diff)
Move the xpp utilities to the tools side.
git-svn-id: http://svn.asterisk.org/svn/dahdi/tools/trunk@4374 a0bf4364-ded3-4de4-8d8a-66a801d63aff
Diffstat (limited to 'xpp/astribank_hook')
-rwxr-xr-xxpp/astribank_hook57
1 files changed, 57 insertions, 0 deletions
diff --git a/xpp/astribank_hook b/xpp/astribank_hook
new file mode 100755
index 0000000..8dd13c9
--- /dev/null
+++ b/xpp/astribank_hook
@@ -0,0 +1,57 @@
+#! /bin/sh
+
+# This is an example of an Astribank device hook. The xpp.rules file
+# calls /usr/share/zaptel/astribank_hook after a new Astribank is ready
+# and after and old Astribank device has been destroyed.
+#
+
+set -e
+
+me=`basename $0`
+INIT_DIR=`dirname $0`
+XPP_BASE=/proc/xpp
+export XPP_BASE
+LOGGER="logger -s -t $me"
+
+ZAPTEL_BOOT_DEBIAN=${ZAPTEL_BOOT_DEBIAN:-/etc/default/zaptel}
+ZAPTEL_BOOT_FEDORA=${ZAPTEL_BOOT_FEDORA:-/etc/sysconfig/zaptel}
+
+# read default configuration from /etc/default/zaptel
+if [ -r $ZAPTEL_BOOT_DEBIAN ]; then . $ZAPTEL_BOOT_DEBIAN; fi
+if [ -r $ZAPTEL_BOOT_FEDORA ]; then . $ZAPTEL_BOOT_FEDORA; fi
+
+if [ "$ASTRIBANK_HOOK_DISABLED" != '' ]; then
+ $LOGGER -p kern.info "Exiting... ASTRIBANK_HOOK_DISABLED"
+ exit 0
+fi
+
+# Always redirect stderr somewhere, otherwise the shell script will die
+# when it tries to do I/O related stuff on closed file descriptor.
+# Our default is to throw it down the bit-bucket.
+#exec 2> /dev/console
+## If you wish to trace this script:
+#exec 2> "/tmp/astribank_hook_$XBUS_NAME"
+
+# Maybe add some logging
+#$LOGGER -p kern.info "$0: $ACTION: $*."
+
+case "$ACTION" in
+add)
+ # An Astribank was added and is initialized and ready.
+ # Put your shell commands bellow
+ :
+ ;;
+remove)
+ # An Astribank was Removed.
+ # Put your shell commands bellow
+ # You should not access /proc/xpp/... or run related utilities
+ # like xpp_sync, since this is likely to cause very bad race
+ # conditions during driver removal.
+ :
+ ;;
+*)
+ ;;
+esac
+
+# Maybe add some logging
+#$LOGGER -p kern.info "$0: Done: $ACTION: $*."